## GladeWidgetAction GladeWidgetAction — Context menu and toolbar actions. |

## Functions

GList * | glade_widget_action_get_children ()
GladeWidgetActionDef * | glade_widget_action_get_def ()
void | glade_widget_action_set_sensitive ()
gboolean | glade_widget_action_get_sensitive ()
gboolean | glade_widget_action_get_visible ()
void | glade_widget_action_set_visible ()

## Types and Values

struct | GladeWidgetAction

## Description

Use GladeWidgetAction to create custom routines to operate on widgets you add to glade, when running GladeActionActivateFunc functions you should make sure to use GladeCommand.

## Functions

### glade_widget_action_get_children ()

    GList *
    glade_widget_action_get_children (GladeWidgetAction *action);

#### Parameters

action | a GladeWidgetAction |

#### Returns

a list of GladeWidgetActionDef.

[transfer none][element-type GladeWidgetActionDef]

### glade_widget_action_get_def ()

    GladeWidgetActionDef *
    glade_widget_action_get_def (GladeWidgetAction *action);

### glade_widget_action_set_sensitive ()

    void
    glade_widget_action_set_sensitive (GladeWidgetAction *action,
                                       gboolean sensitive);

Set whether or not this action is sensitive.

#### Parameters

action | a GladeWidgetAction |
sensitive | the sensitivity to set |

### glade_widget_action_get_sensitive ()

    gboolean
    glade_widget_action_get_sensitive (GladeWidgetAction *action);

### glade_widget_action_get_visible ()

    gboolean
    glade_widget_action_get_visible (GladeWidgetAction *action);

### glade_widget_action_set_visible ()

    void
    glade_widget_action_set_visible (GladeWidgetAction *action,
                                     gboolean visible);

## Types and Values

### struct GladeWidgetAction

    struct GladeWidgetAction {
      GObject parent_instance;

      GladeWidgetActionPrivate *priv;
    };